Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class CompositeContextNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.CompositeNodeInstance
                      org.jbpm.workflow.instance.node.CompositeContextNodeInstance

All Implemented Interfaces:
  Serializable, ContextableInstance, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, EventListener, NodeInstance, NodeInstanceContainer

Direct Known Subclasses:
  DynamicNodeInstance, EventSubProcessNodeInstance, ForEachNodeInstance, StateNodeInstance

    public class CompositeContextNodeInstance

extends CompositeNodeInstance
implements ContextInstanceContainer, ContextableInstance

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance
`CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary

Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`PARAMETER_MATCHER`

Constructor Summary
`CompositeContextNodeInstance()`

Method Summary
`void` | `addContextInstance(String contextId, ContextInstance contextInstance)`
`protected CompositeContextNode` | `getCompositeContextNode()`
`ContextContainer` | `getContextContainer()`
`ContextInstance` | `getContextInstance(Context context)`
`ContextInstance` | `getContextInstance(String contextId)`
`ContextInstance` | `getContextInstance(String contextId, long id)`
`List<ContextInstance>` | `getContextInstances(String contextId)`
`void` | `removeContextInstance(String contextId, ContextInstance contextInstance)`
`void` | `setContextInstance(String contextId, ContextInstance contextInstance)`

Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance
`addEventListeners, addNodeInstance, cancel, getCompositeNode, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTrigger, internalTriggerOnlyParent, isLinkedIncomingNodeRequired, nodeInstanceCompleted, removeEventListeners, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, signalEvent, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeContextNodeInstance

    public CompositeContextNodeInstance()

Method Detail

### getCompositeContextNode

    protected CompositeContextNode getCompositeContextNode()

### getContextContainer

    public ContextContainer getContextContainer()

  Specified by:
    `getContextContainer` in interface `ContextInstanceContainer`

### setContextInstance

    public void setContextInstance(String contextId,
                                   ContextInstance contextInstance)

### getContextInstance

    public ContextInstance getContextInstance(String contextId)

  Specified by:
    `getContextInstance` in interface `ContextableInstance`

### getContextInstances

    public List<ContextInstance> getContextInstances(String contextId)

  Specified by:
    `getContextInstances` in interface `ContextInstanceContainer`

### addContextInstance

    public void addContextInstance(String contextId,
                                   ContextInstance contextInstance)

  Specified by:
    `addContextInstance` in interface `ContextInstanceContainer`

### removeContextInstance

    public void removeContextInstance(String contextId,
                                      ContextInstance contextInstance)

  Specified by:
    `removeContextInstance` in interface `ContextInstanceContainer`

### getContextInstance

    public ContextInstance getContextInstance(String contextId,
                                              long id)

  Specified by:
    `getContextInstance` in interface `ContextInstanceContainer`

### getContextInstance

    public ContextInstance getContextInstance(Context context)

  Specified by:
    `getContextInstance` in interface `ContextInstanceContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.